Summary: Another task manager applet 
Name: gps
Version: 1.1.0
Release: %mkrel 6
Source0: ftp://ftp.seul.org/pub/gps/%{name}-%{version}.tar.bz2
Source1: gps_16.png
Source2: gps_32.png
Source3: gps_48.png
Patch: gps-doc.patch.bz2
Patch2: gps-1.1.0-varargs.patch.bz2
License: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gps.seul.org/
BuildRequires: libstdc++-devel gtk+-devel libx11-devel

%description
gPS is a task manager applet for Linux, based on gtk+. It shows a graphical
list of processes like ps and top. gPS reads data directly from the /proc 
filesystem. It allows the user to filter and sort te process list on any field,
to kill processes with SIGHUP and SIGKILL signals and to renice processes.


%prep
%setup -q
%patch -p 1 -b .doc
%patch2 -p1 -b .varargs

%build
%configure

%make CCC="c++ $CXXFLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -s -m 755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 %{name}.1x -D $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1x

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="X11" \
	section="More Applications/Sciences/NumericalAnalysis" \
	title="GPS" \
    longtitle="Graphical Process Statistics" \
    xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=GPS
Comment=Graphical Process Statistics
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Sciences-NumericalAnalysis;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root) 
%doc README CHANGELOG COPYING
%{_bindir}/gps
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 1.1.0-6pclos2007
- Build for PCLinuxOS 2007

